Index: trunk/SRC/Utilities/createpro.pro
===================================================================
--- trunk/SRC/Utilities/createpro.pro	(revision 157)
+++ trunk/SRC/Utilities/createpro.pro	(revision 163)
@@ -6,5 +6,5 @@
 ; write an idl procedure, compile it and execute it.
 ;
-; @param command {in}{required} 
+; @param command {in}{required}{type=string array}
 ; a string array defining the procedure to be created. 
 ; each element will be a line of the created procedure.
Index: trunk/SRC/Utilities/find.pro
===================================================================
--- trunk/SRC/Utilities/find.pro	(revision 157)
+++ trunk/SRC/Utilities/find.pro	(revision 163)
@@ -13,5 +13,5 @@
 ; @categories find a file
 ;
-; @param filein {in}{required} 
+; @param FILEIN {in}{required} 
 ; A scalar or array variable of string type, containing
 ; file names to match. Input names specifications may contain
Index: trunk/SRC/Utilities/fitintobox.pro
===================================================================
--- trunk/SRC/Utilities/fitintobox.pro	(revision 157)
+++ trunk/SRC/Utilities/fitintobox.pro	(revision 163)
@@ -1,3 +1,3 @@
-;------------------------------------------------------------
+ ;------------------------------------------------------------
 ;------------------------------------------------------------
 ;------------------------------------------------------------
@@ -70,6 +70,7 @@
 ; Compatibility
 ;
-; @param field {in}{required} an array or a structure that can be read by the function                
-;     litchamp.pro
+; @param field {in}{required}{type=array or struct}
+; an array or a structure that can be read by the function                
+; litchamp.pro
 ; 
 ; @param nx {in}{optional}{default=define by grille.pro}
Index: trunk/SRC/Utilities/isadirectory.pro
===================================================================
--- trunk/SRC/Utilities/isadirectory.pro	(revision 157)
+++ trunk/SRC/Utilities/isadirectory.pro	(revision 163)
@@ -9,5 +9,5 @@
 ; @categories io
 ;
-; @param directoryin {in}{optional} 
+; @param DIRECTORYIN {in}{optional} 
 ; a proposed directory. If neither dirname
 ; input parameter of IODIRECTORY keyword are defined,
Index: trunk/SRC/Utilities/isafile.pro
===================================================================
--- trunk/SRC/Utilities/isafile.pro	(revision 157)
+++ trunk/SRC/Utilities/isafile.pro	(revision 163)
@@ -9,5 +9,5 @@
 ; @categories io
 ;
-; @param filein {in}{optional} 
+; @param FILEIN {in}{optional} 
 ; a proposed name. If neither filein input parameter of filename keyword are 
 ; defined, the ask the user to choose a file.
Index: trunk/SRC/Utilities/linearequation.pro
===================================================================
--- trunk/SRC/Utilities/linearequation.pro	(revision 157)
+++ trunk/SRC/Utilities/linearequation.pro	(revision 163)
@@ -12,9 +12,9 @@
  ;Utilities
 ; 
-; @param point1 {in}{required} 
+; @param POINT1 {in}{required} 
 ; This is the first point of(the) straight line(s) whose we want to calculate 
 ; equation(s)
 ;
-; @param point2 {in}{required} 
+; @param POINT2 {in}{required} 
 ; This is the second point of(the) straight line(s) whose we want to calculate
 ; equation(s)
Index: trunk/SRC/Utilities/lineintersection.pro
===================================================================
--- trunk/SRC/Utilities/lineintersection.pro	(revision 157)
+++ trunk/SRC/Utilities/lineintersection.pro	(revision 163)
@@ -11,16 +11,16 @@
 ; Utilities
 ; 
-; @param abc1 {in}{required} 
-; is the first table of dimension 3, number_of_pairs_of_straight_lines, 
+; @param ABC1 {in}{required}{type=3d array}
+; is the first array of dimension 3, number_of_pairs_of_straight_lines, 
 ; whose each line contain the 3 parameters a,b and c of the first linear 
 ; equation of the type ax+by+c=0
 ;
-; @param abc2 {in}{required} 
-; is second table of dimension 3, number_of_pairs_of_straight_lines, 
+; @param ABC2 {in}{required}{type=3d array}
+; is second array of dimension 3, number_of_pairs_of_straight_lines, 
 ; whose each line contain the 3 parameters a,b and c of the second linear 
 ; equation of the type ax+by+c=0
 ;
 ; @keyword FLOAT 
-; To return the output as a table of real numbers instead of vectors of 
+; To return the output as a array of real numbers instead of vectors of 
 ; complex (by default)
 ;
@@ -29,5 +29,5 @@
 ;      1) by default: it is a vector of complex whose each element is the coordinates 
 ;                     of the intersection point of a pair of straight lines.
-;      2) if FLOAT is activated, it is a table of reals of dimension 2, 
+;      2) if FLOAT is activated, it is a array of reels of dimension 2, 
 ;         number_of_pairs_of_straight_lines whose each row is the coordinates 
 ;         of the intersection point of a pair of straight line.
Index: trunk/SRC/Utilities/protype.pro
===================================================================
--- trunk/SRC/Utilities/protype.pro	(revision 157)
+++ trunk/SRC/Utilities/protype.pro	(revision 163)
@@ -9,5 +9,5 @@
 ; Utilities
 ;
-; @param file {in} 
+; @param FILE {in} 
 ; A scalar of string type, the name of the ".pro" file to be tested
 ; if necessary, the input name is completed with '.pro'
Index: trunk/SRC/Utilities/report.pro
===================================================================
--- trunk/SRC/Utilities/report.pro	(revision 157)
+++ trunk/SRC/Utilities/report.pro	(revision 163)
@@ -9,5 +9,5 @@
 ; To ask a question whose answer is not yes/no,use xquestion.
 ;
-; @param text {in}{required} 
+; @param TEXT {in}{required} 
 ; one string or one vector of string. Si le string ne
 ; comporte qu''un element, on cherche les eventuels characteres de
@@ -19,5 +19,5 @@
 ; and the line of the routine (defined by calling routine_name)
 ;
-; @keyword _extra 
+; @keyword _EXTRA 
 ; used to pass keywords from dialog_message.pro and message.pro
 ;
Index: trunk/SRC/Utilities/routine_name.pro
===================================================================
--- trunk/SRC/Utilities/routine_name.pro	(revision 157)
+++ trunk/SRC/Utilities/routine_name.pro	(revision 163)
@@ -10,8 +10,7 @@
 ; Utilities
 ;
-; @param pilingnum {in}{optional}
+; @param PILINGNUM {in}{optional}
 ; A whole number which give us how many level we have to reascend
 ; in the piling up of routines and subroutines to find the looked for routine.
-;
 ;
 ; @returns
@@ -21,5 +20,5 @@
 ; @restrictions
 ; This function use the keyword OUTPUT in help.pro and it is specified
-; in the online help that the return syntax of this word can change in
+; in the on-line help that the return syntax of this word can change in
 ; function of the version of the code. This version works with IDL 5.2.
 ;
Index: trunk/SRC/Utilities/testvar.pro
===================================================================
--- trunk/SRC/Utilities/testvar.pro	(revision 157)
+++ trunk/SRC/Utilities/testvar.pro	(revision 163)
@@ -10,5 +10,5 @@
 ; Utilities
 ;
-; @keyword var 
+; @keyword VAR 
 ; any kind of
 ;
Index: trunk/SRC/Utilities/text_box.pro
===================================================================
--- trunk/SRC/Utilities/text_box.pro	(revision 157)
+++ trunk/SRC/Utilities/text_box.pro	(revision 163)
@@ -10,5 +10,5 @@
 ; ASCII text string containing the message.
 ;
-; @keyword pos  
+; @keyword POS  
 ; 4 element vector specifying the box position and size
 ; pos[0],pos[1] specify the lower left corner coordinate
@@ -16,8 +16,8 @@
 ; data window normalized coordinates are use
 ;
-; @keyword fg_color
-; color of box and legend titles (default=0)
+; @keyword FG_COLOR {default=0}
+; color of box and legend titles
 ;
-; @keyword bg_color 
+; @keyword BG_COLOR 
 ; background color. Setting BG_COLOR erases the area 
 ;               covered by the text box (filling it with color BG_COLOR)
@@ -26,11 +26,11 @@
 ;               gaurantee a readability.
 ;               
-; @keyword right 
+; @keyword RIGHT 
 ; if set, right justify text
 ;
-; @keyword center 
+; @keyword CENTER 
 ; if set, center the text
 ;
-; @keyword vert_space {default=1.5}
+; @keyword VERT_SPACE {default=1.5}
 ; vertical spacing of lines in units of character height
 ;
@@ -38,5 +38,5 @@
 ; used to pass your keyword
 ;
-; @keyword box 
+; @keyword BOX 
 ; activate to show the box on graphics window.
 ;
Index: trunk/SRC/Utilities/undefine.pro
===================================================================
--- trunk/SRC/Utilities/undefine.pro	(revision 157)
+++ trunk/SRC/Utilities/undefine.pro	(revision 163)
@@ -12,5 +12,5 @@
 ; Utilities  
 ; 
-; @param varname {in}{required} 
+; @param VARNAME {in}{required} 
 ; The name of the variable we want erase
 ;
@@ -37,5 +37,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-   PRO UNDEFINE, varname  
+   PRO undefine, varname  
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/xfile.pro
===================================================================
--- trunk/SRC/Utilities/xfile.pro	(revision 157)
+++ trunk/SRC/Utilities/xfile.pro	(revision 163)
@@ -13,9 +13,9 @@
 ; Utilities
 ;
-; @param filename {in}{required} 
+; @param FILENAME {in}{required} 
 ; It is the name of the procedure or of the function 
 ; we want to display (with or without .pro at the end).
 ;
-; @keyword _extra 
+; @keyword _EXTRA 
 ; used to pass your keywords
 ;
Index: trunk/SRC/Utilities/xhelp.pro
===================================================================
--- trunk/SRC/Utilities/xhelp.pro	(revision 157)
+++ trunk/SRC/Utilities/xhelp.pro	(revision 163)
@@ -7,5 +7,5 @@
 ; Widget
 ;
-; @param Filename {in}{required} 
+; @param FILENAME {in}{required} 
 ; A scalar string that contains the filename of the file to display.  
 ; If FILENAME does not include a complete path specification, xhelp will 
@@ -14,5 +14,5 @@
 ; ".pro" file suffix will be appended if it is not supplied.
 ;
-; @keyword _extra 
+; @keyword _EXTRA 
 ; used to pass your keywords
 ;
